Skip to main content
PUT
/
v3
/
training-standard-completions
/
{training_standard_completion_id}
Update an existing training standard completion
curl --request PUT \
  --url https://api.ctrl-hub.com/v3/training-standard-completions/{training_standard_completion_id} \
  --header 'Content-Type: application/vnd.api+json' \
  --header 'X-Session-Token: <api-key>' \
  --data '
{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "type": "<string>",
    "attributes": {
      "completed_at": "2023-11-07T05:31:56Z",
      "expires_at": "2023-11-07T05:31:56Z"
    }
  }
}
'
import requests

url = "https://api.ctrl-hub.com/v3/training-standard-completions/{training_standard_completion_id}"

payload = { "data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>",
"attributes": {
"completed_at": "2023-11-07T05:31:56Z",
"expires_at": "2023-11-07T05:31:56Z"
}
} }
headers = {
"X-Session-Token": "<api-key>",
"Content-Type": "application/vnd.api+json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {'X-Session-Token': '<api-key>', 'Content-Type': 'application/vnd.api+json'},
body: JSON.stringify({
data: {
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
type: '<string>',
attributes: {completed_at: '2023-11-07T05:31:56Z', expires_at: '2023-11-07T05:31:56Z'}
}
})
};

fetch('https://api.ctrl-hub.com/v3/training-standard-completions/{training_standard_completion_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "type": "<string>",
    "attributes": {
      "completed_at": "2023-11-07T05:31:56Z",
      "expires_at": "2023-11-07T05:31:56Z"
    },
    "relationships": {
      "user": {
        "data": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "type": "<string>"
        }
      },
      "training_standard": {
        "data": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "type": "<string>"
        }
      }
    }
  },
  "jsonapi": {
    "version": "<string>"
  },
  "included": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "type": "<string>",
      "attributes": {
        "email": "jsmith@example.com",
        "identities": [
          {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "platform": "<string>",
            "meta": {}
          }
        ],
        "profile": {
          "work": {
            "occupation": "<string>",
            "cscs": "<string>",
            "eusr": "<string>",
            "start_date": "2023-12-25"
          },
          "personal": {
            "first_name": "<string>",
            "last_name": "<string>",
            "dob": "2023-12-25",
            "username": "<string>"
          },
          "contact": {
            "mobile": "<string>",
            "landline": "<string>"
          },
          "address": {
            "number": "",
            "street": "<string>",
            "area": "<string>",
            "town": "<string>",
            "county": "<string>",
            "postcode": "<string>",
            "country_code": "<string>",
            "what3words": "<string>"
          },
          "settings": {
            "preferred_language": "en-GB",
            "timezone": "<string>"
          }
        }
      },
      "meta": {
        "grants": [
          "<string>"
        ]
      },
      "relationships": {
        "organisations": {
          "data": [
            {
              "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
              "type": "<string>"
            }
          ]
        },
        "teams": {
          "data": [
            {
              "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
              "type": "<string>"
            }
          ]
        },
        "managing_organisation": {
          "data": {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "type": "<string>"
          }
        }
      }
    }
  ]
}
{
"id": "98ca4a78-b66f-4234-9719-aaf832ee6669",
"status": "400",
"title": "A validation error was encountered",
"source": {
"parameter": "include"
},
"meta": {
"resource": "wrong_value"
}
}
{
"id": "05fc9c8d-73b9-4697-9337-57f7a567a48f",
"status": "401",
"title": "You are not authorised to access this resource",
"detail": "In order to access this resource, you need the 'admin' role.",
"code": "AUTH.001"
}
{
"id": "7b4c8f12-3e9a-4d5b-8c6f-1a2b3c4d5e6f",
"status": "404",
"title": "Resource not found",
"detail": "The requested resource could not be found or does not exist.",
"code": "NOT_FOUND.001"
}
{
"id": "fe9d9a69-f0a7-4fdc-bb2c-176027f316c5",
"status": "500",
"title": "Internal Server Error",
"detail": "An unexpected error occurred on the server."
}

Authorizations

X-Session-Token
string
header
required

Session token for authentication.

Path Parameters

training_standard_completion_id
string<uuid>
required

The unique identifier for the training standard completion.

Body

application/vnd.api+json

The training standard completion to update.

data
object
required

Response

Get a training standard completion.

JSON API response object

data
object
required

A training standard completion record

jsonapi
object
required
included
object[]

Related resources that can be included when a training standard completion is returned

A user